JaxbListIndexElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbListIndexElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbListIndexElement

    public class JaxbListIndexElement

extends Object

Java class for list-index-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="list-index-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" minOccurs="0"/>
           </sequence>
           <attribute name="base" type="{http://www.w3.org/2001/XMLSchema}string" default="0" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `base`
`protected JaxbColumnElement` | `column`
`protected String` | `columnAttribute`

Constructor Summary
`JaxbListIndexElement()`

Method Summary
`String` | `getBase()` Gets the value of the base property.
`JaxbColumnElement` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`void` | `setBase(String value)` Sets the value of the base property.
`void` | `setColumn(JaxbColumnElement value)` Sets the value of the column property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected JaxbColumnElement column

### base

    protected String base

### columnAttribute

    protected String columnAttribute

Constructor Detail

### JaxbListIndexElement

    public JaxbListIndexElement()

Method Detail

### getColumn

    public JaxbColumnElement getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumnElement`

### setColumn

    public void setColumn(JaxbColumnElement value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumnElement`

### getBase

    public String getBase()

  Gets the value of the base property.

  Returns:
    possible object is `String`

### setBase

    public void setBase(String value)

  Sets the value of the base property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.